|  | Home | Documentation | methodResponse Struct Reference updated by Robert van Engelen |

Public Member Functions | Public Attributes | List of all members
methodResponse Struct Reference

Represents the <methodResponse> element with response <params> and <fault>. More...

`#include <xml-rpc.h>`

Collaboration diagram for methodResponse:
[legend]

## Public Member Functions

| methodResponse ()
| methodResponse (struct soap *)
struct value & | operator[] (int)
| response parameter accessor index
const struct value & | operator[] (int) const
| response parameter accessor index
struct value & | get_fault (void)
| get fault, if set
struct value & | set_fault (const char *)
| set fault
struct value & | set_fault (struct value &)
| set fault
int | recv ()
| receive response
int | send ()
| send response

## Public Attributes

struct params * | params
| response return parameters, if any
struct fault * | fault
| response fault, if any
struct soap * | soap
| ref to soap struct that manages this type

## Detailed Description

Represents the <methodResponse> element with response <params> and <fault>.

## Constructor & Destructor Documentation

## ◆ methodResponse() [1/2]

methodResponse::methodResponse | ( |  | ) |

## ◆ methodResponse() [2/2]

methodResponse::methodResponse | ( | struct soap * |  | ) |

## Member Function Documentation

## ◆ get_fault()

struct value & methodResponse::get_fault | ( | void |  | ) |

get fault, if set

## ◆ operator[]() [1/2]

struct value & methodResponse::operator[] | ( | int |  | ) |

response parameter accessor index

## ◆ operator[]() [2/2]

const struct value & methodResponse::operator[] | ( | int |  | ) | const

response parameter accessor index

## ◆ recv()

int methodResponse::recv | ( |  | ) |

receive response

## ◆ send()

int methodResponse::send | ( |  | ) |

send response

## ◆ set_fault() [1/2]

struct value & methodResponse::set_fault | ( | const char * |  | ) |

set fault

## ◆ set_fault() [2/2]

struct value & methodResponse::set_fault | ( | struct value & |  | ) |

set fault

## Member Data Documentation

## ◆ fault

struct fault* methodResponse::fault

response fault, if any

## ◆ params

struct params* methodResponse::params

response return parameters, if any

## ◆ soap

struct soap* methodResponse::soap

ref to soap struct that manages this type

The documentation for this struct was generated from the following file:

- xml-rpc.h